bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#17477: flymake-mode looks at wrong PHP binary


From: Joe Borġ
Subject: bug#17477: flymake-mode looks at wrong PHP binary
Date: Mon, 12 May 2014 20:28:05 +0100

I promise you there is no /usr/bin/php.

I installed flymake-php and want to turn it on.

Emacs 24.3.1 - I've not tried with -Q.



Regards,
Joseph David Borġ
josephb.org


On 12 May 2014 20:08, Glenn Morris <address@hidden> wrote:
Joe Borġ wrote:

>> > When executing M+x flymake mode, I get
>> >
>> > Flymake: Configuration error has occured while running (/usr/bin/php -f
>> > viewrequest_flymake.php -l). Flymake will be switched OFF
>> >
>> > My php is in /usr/local/bin/php

I don't know what to tell you.
flymake just calls "php".
It sure sounds like something thinks you have a /usr/bin/php.

>> > This was installed using package-install, with marmalade repository set.

Why is this necessary? flymake is part of Emacs. What did you install?
What version of Emacs is this?

Does this happen with emacs -Q?


reply via email to

[Prev in Thread] Current Thread [Next in Thread]